Reference for Processing version 1.1+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, »please let us know. If you prefer a more technical reference, visit the »Processing Javadoc.

Class | Capture

Name

### list()

Examples

    import processing.video.*;

    void setup() {
      size(200, 200);
      println(Capture.list());
    }

Description | Gets a list of all available capture devices such as a camera. Use print() to write the information to the text window.

Syntax

    cam.list()

Parameters

cam | any variable of type Capture

Returns | String[]
Usage | Web & Application

Updated on June 14, 2010 12:05:23pm EDT